Issue843

classification
Title configure in modules/ldap is not used
Type defect Module core code 21.5
Severity inconvenience Platform N/A
Keywords Nosy List matsl
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason fixed
Superseder  
Priority normal   Assigned To

Created on 2012-09-08.21:35:56 by matsl, last changed 2012-11-01.21:47:13 by matsl.

Messages
msg2452 [hidden] ([hidden]) Date: 2012-10-15.19:34:31
https://bitbucket.org/xemacs/xemacs/changeset/7b5f88e5b456b61e5108c840793
89b22
msg2451 [hidden] ([hidden]) Date: 2012-10-15.08:17:58
Steven Turnbull writes: It's the Makefile that's broken.  Even though we 
*can* generate configure, we distribute it.  So "make distclean" 
shouldn't delete it, only "make maintainerclean" should.
msg2448 [hidden] ([hidden]) Date: 2012-09-08.21:35:54
The configure scrip in modules/ldap is not used. The makefile is 
generated by the main configure script. To make things worse the file 
modules/ldap/configure is deleted when the distclean target is executed. 
Possibly an artifact of how this is normally done. This causes problems 
since configure is under version control.

I suggest removing configure.ac and configure from the modules/ldap 
folder.

postgresql might suffer from the same problem.
History
Date User Action Args
2012-11-01 21:47:13matslsetstatus: committed -> closed
2012-10-15 19:34:32matslsetstatus: new -> committed
reason: fixed
messages: + msg2452
2012-10-15 08:17:59matslsetmessages: + msg2451
2012-09-08 21:35:56matslcreate